## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLSourceEditingEnvironment

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLSourceEditingEnvironment

    public class SQLSourceEditingEnvironment

extends java.lang.Object

Constructor Summary
`SQLSourceEditingEnvironment()`

Method Summary
`static void` `connect()`
`static void` `disconnect()`
`static SQLColourProvider` `getSQLColourProvider()`
`static SQLCommentScanner` `getSQLCommentScanner()`
`static SQLEntityScanner` `getSQLEntityScanner()`
`static org.eclipse.jface.text.rules.RuleBasedScanner` `getSQLSourceScanner()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSourceEditingEnvironment

    public SQLSourceEditingEnvironment()

Method Detail

### connect

    public static void connect()

### disconnect

    public static void disconnect()

### getSQLColourProvider

    public static SQLColourProvider getSQLColourProvider()

### getSQLCommentScanner

    public static SQLCommentScanner getSQLCommentScanner()

  Returns:
    org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLCommentScanner

### getSQLEntityScanner

    public static SQLEntityScanner getSQLEntityScanner()

  Returns:
    org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLEntityScanner

### getSQLSourceScanner

    public static org.eclipse.jface.text.rules.RuleBasedScanner getSQLSourceScanner()